> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://contentful.com/developers/docs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/_mcp/server. # Update the User UI Config PUT https://api.contentful.com/spaces/{space_id}/environments/{environment_id}/ui_config/me Content-Type: application/vnd.contentful.management.v1+json You can use this endpoint to update your User UI Config. Reference: https://contentful.com/developers/docs/references/content-management-api/ui-config/update-the-user-ui-config ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `space_id` (string, required) — ID of the Space in form of a string - `environment_id` (string, required) — ID of the environment in form of a string ### Body (application/vnd.contentful.management.v1+json) This endpoint expects a map from string to any. - `map from string to any` ## Response ### 200 OK - Request successful - `map from string to any` ## Examples **Request** ```json { "assetListViews": [ { "id": "view", "title": "title", "views": [ { "contentTypeId": "content", "contentTypeIds?": [ "content" ], "displayedFieldIds": [], "id": "view", "order": { "direction": "'ascending' | 'descending'", "fieldId": "field" }, "searchFilters?": [], "searchText": "search", "title": "view" } ] } ], "entryListViews": [ { "id": "view", "title": "title", "views": [ { "contentTypeId": "content", "contentTypeIds?": [ "content" ], "displayedFieldIds": [], "id": "view", "order": { "direction": "'ascending' | 'descending'", "fieldId": "field" }, "searchFilters?": [], "searchText": "search", "title": "view" } ] } ] } ``` **Response** ```json { "assetListViews": [ { "id": "view", "title": "title", "views": [ { "contentTypeId": "content", "contentTypeIds?": [ "content" ], "displayedFieldIds": [], "id": "view", "order": { "direction": "'ascending' | 'descending'", "fieldId": "field" }, "searchFilters?": [], "searchText": "search", "title": "view" } ] } ], "entryListViews": [ { "id": "view", "title": "title", "views": [ { "contentTypeId": "content", "contentTypeIds?": [ "content" ], "displayedFieldIds": [], "id": "view", "order": { "direction": "'ascending' | 'descending'", "fieldId": "field" }, "searchFilters?": [], "searchText": "search", "title": "view" } ] } ], "sys": { "createdAt": "2025-06-14T12:12:16.000Z", "createdBy": { "sys": { "id": "7BslKh9TdKGOK41VmLDjFZ", "linkType": "User", "type": "Link" } }, "environment": { "sys": { "id": "staging", "linkType": "Environment", "type": "Link" } }, "id": "6zbidGOqH...", "organization": { "sys": { "id": "0D9ZC8rLWiw6x5qizZGiRs", "linkType": "Organization", "type": "Link" } }, "space": { "sys": { "id": "yadj1kx9rmg0", "linkType": "Space", "type": "Link" } }, "type": "UserUIConfig", "updatedAt": "2025-06-14T12:12:16.000Z", "updatedBy": { "sys": { "id": "7BslKh9TdKGOK41VmLDjFZ", "linkType": "User", "type": "Link" } } } } ``` **SDK Code** ```android Android SDK currently doesn't implement this endpoint. ``` ```java Java SDK currently doesn't implement this endpoint. ``` ```kotlin Kotlin SDK currently doesn't implement this endpoint. ``` ```swift Swift We currently don't provide a CMA SDK for this platform. ``` ```js-legacy JavaScript (legacy) import { createClient } from 'contentful-management' const client = createClient({ accessToken: '' }, { type: 'legacy' }) client.getSpace('') .then((space) => space.getEnvironment('')) .then((environment) => environment.getUserUICOnfig()) .then((userUIConfig) => { userUIConfig.entryListViews = updatedEntryListViews return userUIConfig.update() }) .then((userUIConfig) => console.log(`UI config updated.`)) .catch(console.error) ``` ```javascript JavaScript import { createClient } from 'contentful-management' // Client init const client = contentful.createClient({ accessToken: '' }) // ... const emptyFolder = { id: 'newFolder', title: 'New Folder', views: [] }; const userUIConfig = await client.userUIConfig.get({}); await client.userUIConfig.update({}, { ...userUIConfig, entryListViews: [...userUIConfig.entryListViews, emptyFolder], }); ``` ```php PHP SDK currently doesn't implement this endpoint. ``` ```ruby Ruby SDK currently doesn't implement this endpoint. ``` ```python Python SDK currently doesn't implement this endpoint. ``` ```.net .NET SDK currently doesn't implement this endpoint. ```